<template>
  <div class="bot"
       v-if="showsituation">
    <div class="top1">
      <span class="botcon">
        <span class="icon"></span>
        <span class="text">模型标绘</span>
      </span>
      <span class="close"
            @click="close">x</span>
    </div>
    <div class="content">
      <div class="plotTitle">
        <el-select v-model="value"
                   placeholder="请选择"
                   style="width: 60%;  "
                   @change="setMenuChange">
          <el-option v-for="(item,index) in Option"
                     :key="index"
                     :label="item.name"
                     :value="item.name">
          </el-option>
        </el-select>
        <el-button @click="setMenuItemClear">清空</el-button>
      </div>
      <div class="plotTitle"> </div>
      <div class="menuContent">
        <div class="imgBox"
             @click="setMenuClick(item)"
             v-for="(item,index) in Option1"
             :key="index">
          <img class="menuImg"
               :src="require('@/assets/image/image/'+item.img+'')"
               alt="">
        </div>
      </div>
    </div>
  </div>
</template>

<script>

import bus from "../../utils/bus";
import axios from "axios";
export default {
  components: {

  },
  data () {
    return {
      Option: [
        {
          "name": "车辆",
          "data": [
            {
              "name": "汽车",
              "model": "qiche.gltf",
              "img": "qiche.png"
            },
            {
              "name": "越野车",
              "model": "xiaoche.gltf",
              "img": "xiaoche.png"
            },
            {
              "name": "小车",
              "model": "CesiumMilkTruck.glb",
              "img": "CesiumCar.png"
            },
            {
              "name": "挖掘机",
              "model": "wajueji.glb",
              "img": "wajueji.png"
            },
            {
              "name": "警车",
              "model": "jingche.gltf",
              "img": "jingche.png"
            },
            {
              "name": "搅拌车",
              "model": "jiaobanche.glb",
              "img": "jiaobanche.png"
            },
            {
              "name": "摩托车",
              "model": "motorcar.glb",
              "img": "motorcar.png"
            },
            {
              "name": "越野车",
              "model": "GroundVehicle.glb",
              "img": "越野车.png"
            },
            {
              "name": "消防车",
              "model": "xiaofangche.gltf",
              "img": "消防车.png"
            },
            {
              "name": "大消防车",
              "model": "xiaofangche2.gltf",
              "img": "大消防车.png"
            },
            {
              "name": "渣土车",
              "model": "zhatuche.glb",
              "img": "渣土车.png"
            },
            {
              "name": "土方车",
              "model": "tufangche.glb",
              "img": "土方车.png"
            },
            {
              "name": "城市SUV",
              "model": "suv.gltf",
              "img": "suv.png"
            },
            {
              "name": "跑车",
              "model": "paoche1.gltf",
              "img": "跑车.png"
            },
            {
              "name": "有轨电车",
              "model": "lanche.gltf",
              "img": "有轨电车.png"
            },
            {
              "name": "白色卡车",
              "model": "kache1.gltf",
              "img": "whitetruck.png"
            },
            {
              "name": "长风卡车",
              "model": "kache2.gltf",
              "img": "changfengtruck.png"
            },
            {
              "name": "奔驰卡车",
              "model": "kache3.gltf",
              "img": "benztruck.png"
            },
            {
              "name": "蓝色奔驰卡车",
              "model": "kache4.gltf",
              "img": "bluetruck.png"
            },
            {
              "name": "白色公交车",
              "model": "bus1.gltf",
              "img": "whitebus.png"
            },
            {
              "name": "红色公交车",
              "model": "bus2.gltf",
              "img": "redbus.png"
            },
            {
              "name": "智慧公交车",
              "model": "bus3.gltf",
              "img": "smartbus.png"
            },
            {
              "name": "黄色奔驰",
              "model": "benchi1.gltf",
              "img": "yellowbenz.png"
            },
            {
              "name": "老款奔驰",
              "model": "benchi2.gltf",
              "img": "oldbenz.png"
            },
            {
              "name": "蓝色奔驰",
              "model": "benchi3.gltf",
              "img": "bluebenz.png"
            }
          ]
        },
        {
          "name": "人",
          "data": [
            {
              "name": "消防员",
              "model": "xiaofangyuan.glb",
              "img": "xiaofangyuan.png"
            },
            {
              "name": "消防员-奔跑",
              "model": "xiaofangyuan-run.gltf",
              "img": "xiaofangyuan-run.png"
            },
            {
              "name": "行人",
              "model": "walk.gltf",
              "img": "walk.png"
            },
            {
              "name": "小人",
              "model": "CesiumMan.glb",
              "img": "xiaoren.png"
            },
            {
              "name": "工人",
              "model": "gongren.glb",
              "img": "worker.png"
            },
            {
              "name": "建筑工人",
              "model": "ren.glb",
              "img": "arcworker.png"
            }
          ]
        },
        {
          "name": "飞行物",
          "data": [
            {
              "name": "飞机1",
              "model": "Cesium_Air.glb",
              "img": "feiji.png"
            },
            {
              "name": "飞机2",
              "model": "wrj.glb",
              "img": "飞机2.png"
            },
            {
              "name": "客机",
              "model": "feiji.glb",
              "img": "客机.png"
            },
            {
              "name": "战机",
              "model": "zhanji.glb",
              "img": "zhanji.png"
            },
            {
              "name": "MQ-9战机",
              "model": "MQ-9-Predator.glb",
              "img": "MQ-9.png"
            },
            {
              "name": "f-16战机",
              "model": "f-16_falcon.gltf",
              "img": "f-16.png"
            },
            {
              "name": "热气球",
              "model": "CesiumBalloon.glb",
              "img": "balloon.png"
            }
          ]
        },
        {
          "name": "电力设备",
          "data": [
            {
              "name": "电线塔",
              "model": "tower.glb",
              "img": "电线塔.png"
            },
            {
              "name": "支架1",
              "model": "V.glb",
              "img": "支架1.png"
            },
            {
              "name": "支架2",
              "model": "vertical01.glb",
              "img": "支架2.png"
            },
            {
              "name": "支架3",
              "model": "vertical02.glb",
              "img": "支架3.png"
            },
            {
              "name": "风车",
              "model": "fengche.gltf",
              "img": "fengche.png"
            },
            {
              "name": "太阳能板",
              "model": "taiyang.gltf",
              "img": "solarenergy.png"
            },
            {
              "name": "木塔",
              "model": "Wood_Tower.gltf",
              "img": "woodtower.png"
            }
          ]
        },
        {
          "name": "铁路",
          "data": [
            {
              "name": "铁轨",
              "model": "railway.glb",
              "img": "铁轨.png"
            },
            {
              "name": "高铁架子",
              "model": "jiazi.glb",
              "img": "高铁架子.png"
            },
            {
              "name": "高铁头",
              "model": "heada.glb",
              "img": "高铁头.png"
            },
            {
              "name": "高铁车身",
              "model": "body.glb",
              "img": "高铁车身.png"
            },
            {
              "name": "车站",
              "model": "station.glb",
              "img": "station.png"
            },
            {
              "name": "桥墩",
              "model": "bridge.glb",
              "img": "qiaodun.png"
            }
          ]
        },
        {
          "name": "太空",
          "data": [
            {
              "name": "卫星",
              "model": "weixin.gltf",
              "img": "weixin.png"
            },
            {
              "name": "火箭",
              "model": "launchvehicle.glb",
              "img": "huojian.png"
            },
            {
              "name": "雷达",
              "model": "leida.glb",
              "img": "leida.png"
            }
          ]
        },
        {
          "name": "船与水上设施",
          "data": [
            {
              "name": "水坝",
              "model": "zhamen.glb",
              "img": "shuiba.png"
            },
            {
              "name": "游艇",
              "model": "jiaotong.glb",
              "img": "yacht.png"
            },
            {
              "name": "船1",
              "model": "ship01.glb",
              "img": "ship1.png"
            },
            {
              "name": "船2",
              "model": "ship02.glb",
              "img": "ship2.png"
            },
            {
              "name": "船3",
              "model": "ship03.glb",
              "img": "ship3.png"
            },
            {
              "name": "船4",
              "model": "ship04.glb",
              "img": "ship4.png"
            },
            {
              "name": "船5",
              "model": "ship05.glb",
              "img": "ship5.png"
            },
            {
              "name": "船6",
              "model": "ship06.glb",
              "img": "ship6.png"
            },
            {
              "name": "船7",
              "model": "ship07.glb",
              "img": "ship7.png"
            },
            {
              "name": "船8",
              "model": "ship08.glb",
              "img": "ship8.png"
            },
            {
              "name": "船9",
              "model": "ship09.glb",
              "img": "ship9.png"
            },
            {
              "name": "潜艇",
              "model": "aegis-destroyer.gltf",
              "img": "submarine.png"
            },
            {
              "name": "航母",
              "model": "aircraft-carrier.gltf",
              "img": "aircarrier.png"
            }
          ]
        },
        {
          "name": "街道及交通设施",
          "data": [
            {
              "name": "交通杆",
              "model": "gan.gltf",
              "img": "jiaotonggan.png"
            },
            {
              "name": "红绿灯",
              "model": "honglvdeng.gltf",
              "img": "trafficlight.png"
            },
            {
              "name": "红绿灯-带杆",
              "model": "honglvdeng-gan.gltf",
              "img": "trafficlight-full.png"
            },
            {
              "name": "LED广告牌",
              "model": "led.gltf",
              "img": "led.png"
            },
            {
              "name": "交通指示牌",
              "model": "led-gan.gltf",
              "img": "交通指示牌.png"
            },
            {
              "name": "水马",
              "model": "shuima.glb",
              "img": "水马.png"
            },
            {
              "name": "摄像头",
              "model": "sxt.gltf",
              "img": "camera.png"
            },
            {
              "name": "摄像头-带杆子",
              "model": "sxt-gan.gltf",
              "img": "camera-gan.png"
            },
            {
              "name": "围栏",
              "model": "weilan.gltf",
              "img": "barrier.png"
            },
            {
              "name": "厂房",
              "model": "floor.gltf",
              "img": "company.png"
            },
            {
              "name": "小房子",
              "model": "shinei.gltf",
              "img": "smallhouse.png"
            }
          ]
        },
        {
          "name": "测绘仪器",
          "data": [
            {
              "name": "反光镜",
              "model": "lj.glb",
              "img": "fanguangjing.png"
            },
            {
              "name": "全站仪",
              "model": "qzy.glb",
              "img": "quanzhanyi.png"
            },
            {
              "name": "全站仪-1",
              "model": "qzy01.glb",
              "img": "quanzhanyi-1.png"
            },
            {
              "name": "RTK",
              "model": "rtk.glb",
              "img": "rtk.png"
            }

          ]
        },{
          "name": "安全模拟",
          "data": [
            {
              "name": "坑道",
              "model": "kengdao.glb",
              "img": "kengdao.png"
            }
          ]
        }
      ],
      showdata1: true,
      showdata2: true,
      showsituation: false,
      value: null,
      Option1: [],
    };
  },
  mounted () {
    this.value=this.Option[0].name;
    this.Option1=this.Option[0].data;
    bus.$on("clearEve",(e) => {
      this.reset();
    });
    bus.$on("radioData",(e) => {
      this.radios=e;
    });
    bus.$on("guanzhou",(e) => {

    });
    bus.$on("areaData",(e) => {
      this.regions=e;
    });
    bus.$on("showdio",(e) => {
      this.showsituation=e=="7-9-3"
      this.showdata1=true;
      this.showdata2=true;
    });
  },
  methods: {
    change () {
      this.showdata1=false;
    },
    change1 () {
      this.showdata2=false;
    },

    close () {
      this.showsituation=false;
    },
    setMenuChange () {
      var name=this.value
      var obj=this.Option.filter(res => {
        if(res.name==name) {
          return res
        }
      })
      this.Option1=obj[0].data;
    },
    setMenuClick (res) {
      window.ModelEdit=new SmartEarth.ModelEdit(Viewer)
      sgworld.Creator.createSimpleGraphic('model',{
        url: SmartEarthRootUrl+'Workers/ModelLibrary/'+this.value+'/'+res.model,
        name: name
      },entity => {

      })

    },
    setMenuItemClear () {
      sgworld.Creator.SimpleGraphic.clear()
    }
  },
  watch: {

  },
};
</script>

<style scoped>
.bot {
  width: 1000px;
  height: 1150px;
  background: url(~@/assets/image/test/22.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  position: absolute;
  left: 3920px;
  top: 680px;
}
.top1 {
  width: 95%;
  height: 11%;
  font-size: 40px;
  font-weight: bold;
  margin: 0px auto;
  border-bottom: 2px solid #fff;
  color: #fff;
  letter-spacing: 3px;
}
.icon {
  position: absolute;
  left: 50px;
  width: 50px;
  height: 50px;
  top: 39px;
  background-size: 100% 100% !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  background: url(~@/assets/image/subject/题标.png);
}
.text {
  display: inline-block;
  margin-left: 90px;
}
.close {
  position: absolute;
  font-size: 60px;
  font-weight: 400;
  right: 60px;
  top: 20px;
}
.close:hover {
  color: red;
  transition: color 1s;
  cursor: pointer;
}

.botcon {
  display: inline-block;
  margin-top: 34px;
}
.btns {
  margin-top: 100px;
  width: 100%;
  height: 70px;
  display: flex;
  justify-content: center;
}

.btns > span:nth-child(3) {
  color: #fff;
  background-image: linear-gradient(#76c2f6, #6a9cf1);
}
.btns > span:nth-child(-n + 2) {
  color: #000;
  background: #cadaea;
}
.content {
  width: 92%;
  height: 80%;
  position: relative;
  margin: 3% 4%;
}
.plotTitle {
  width: 100%;
  color: #fff;
  font-size: 40px;
  display: flex;
  justify-content: space-between;
}
.menuContent {
  width: 100%;
  display: grid;
  grid-template-columns: auto auto auto;
  font-size: 32px;
  margin: 10px 0px;
  cursor: pointer;
  overflow: auto;
  height: 91%;
  padding: 2% 0%;
}
.imgBox {
  /* border: 1px solid #d2d2d2; */
  margin-top: 30px;
}
.menuItem {
  margin: 10px 40px;
  min-width: 150px;
  background: rgb(135, 206, 235, 0.6);
  text-align: center;
  padding: 10px;
  border-radius: 5px;
  color: #fff;
}
.menuImg {
  width: 260px;
  height: 260px;
  border: 3px solid #d2d2d2;
}
.imgBox :hover {
  transform: scale(1.1);
  border-color: #6a9cf1;
}
.menuItem:hover {
  color: #494949;
}
</style>
